osmium::CRC< TCRC > Class Template Reference

`#include <crc.hpp>`

## Public Member Functions

TCRC & | operator() ()
const TCRC & | operator() () const
void | update_bool (const bool value)
void | update_int8 (const uint8_t value)
void | update_int16 (const uint16_t value)
void | update_int32 (const uint32_t value)
void | update_int64 (const uint64_t value)
void | update_string (const char *str)
void | update (const Timestamp &timestamp)
void | update (const osmium::Location &location)
void | update (const osmium::Box &box)
void | update (const NodeRef &node_ref)
void | update (const NodeRefList &node_refs)
void | update (const TagList &tags)
void | update (const osmium::RelationMember &member)
void | update (const osmium::RelationMemberList &members)
void | update (const osmium::OSMObject &object)
void | update (const osmium::Node &node)
void | update (const osmium::Way &way)
void | update (const osmium::Relation &relation)
void | update (const osmium::Area &area)
void | update (const osmium::ChangesetDiscussion &discussion)
void | update (const osmium::Changeset &changeset)

## Private Attributes

TCRC | m_crc

## Member Function Documentation

template<typename TCRC >

TCRC& osmium::CRC< TCRC >::operator() | ( |  | ) |

inline

template<typename TCRC >

const TCRC& osmium::CRC< TCRC >::operator() | ( |  | ) | const

inline

template<typename TCRC >

void osmium::CRC< TCRC >::update | ( | const Timestamp & | timestamp | ) |

inline

template<typename TCRC >

void osmium::CRC< TCRC >::update | ( | const osmium::Location & | location | ) |

inline

template<typename TCRC >

void osmium::CRC< TCRC >::update | ( | const osmium::Box & | box | ) |

inline

template<typename TCRC >

void osmium::CRC< TCRC >::update | ( | const NodeRef & | node_ref | ) |

inline

template<typename TCRC >

void osmium::CRC< TCRC >::update | ( | const NodeRefList & | node_refs | ) |

inline

template<typename TCRC >

void osmium::CRC< TCRC >::update | ( | const TagList & | tags | ) |

inline

template<typename TCRC >

void osmium::CRC< TCRC >::update | ( | const osmium::RelationMember & | member | ) |

inline

template<typename TCRC >

void osmium::CRC< TCRC >::update | ( | const osmium::RelationMemberList & | members | ) |

inline

template<typename TCRC >

void osmium::CRC< TCRC >::update | ( | const osmium::OSMObject & | object | ) |

inline

template<typename TCRC >

void osmium::CRC< TCRC >::update | ( | const osmium::Node & | node | ) |

inline

template<typename TCRC >

void osmium::CRC< TCRC >::update | ( | const osmium::Way & | way | ) |

inline

template<typename TCRC >

void osmium::CRC< TCRC >::update | ( | const osmium::Relation & | relation | ) |

inline

template<typename TCRC >

void osmium::CRC< TCRC >::update | ( | const osmium::Area & | area | ) |

inline

template<typename TCRC >

void osmium::CRC< TCRC >::update | ( | const osmium::ChangesetDiscussion & | discussion | ) |

inline

template<typename TCRC >

void osmium::CRC< TCRC >::update | ( | const osmium::Changeset & | changeset | ) |

inline

template<typename TCRC >

void osmium::CRC< TCRC >::update_bool | ( | const bool | value | ) |

inline

template<typename TCRC >

void osmium::CRC< TCRC >::update_int16 | ( | const uint16_t | value | ) |

inline

template<typename TCRC >

void osmium::CRC< TCRC >::update_int32 | ( | const uint32_t | value | ) |

inline

template<typename TCRC >

void osmium::CRC< TCRC >::update_int64 | ( | const uint64_t | value | ) |

inline

template<typename TCRC >

void osmium::CRC< TCRC >::update_int8 | ( | const uint8_t | value | ) |

inline

template<typename TCRC >

void osmium::CRC< TCRC >::update_string | ( | const char * | str | ) |

inline

## Member Data Documentation

template<typename TCRC >

TCRC osmium::CRC< TCRC >::m_crc

private

The documentation for this class was generated from the following file:

- osmium/osm/crc.hpp